<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Dash extends Admin_Controller {

    public function index() {
        $data = array();

        $this->load->model('admindash_model');
        $out = $this->admindash_model->getAdminDashData($data);
        $data['recent_signup'] = $out['recent_signup'];

        $this->load->model('service_model');
        $outx = $this->service_model->getServiceRequestList(100);
        $data['transport_request'] = $outx['service_request_list'];
/*
        $this->load->library('googlemaps');
        $config['center'] = 'atalnta,GA,USA';
        $config['zoom'] = 'auto';
        $config['directions'] = TRUE;
        $config['directionsStart'] = '4201 defoors farm trail, powder springs, GA 30127, USA';
        $config['directionsEnd'] = '2324 stancrest ln, lawrenceville, 30044, GA, USA';
        $config['directionsDivID'] = 'directionsDiv';
        $this->googlemaps->initialize($config);
        $data['map'] = $this->googlemaps->create_map();
*/
        $this->renderAdminPage('view_dash', $data);
    }

}
